{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to retrieve a list of segments.**\n\nThe query param `parent_list_ids` is treated as a filter.  Any match will be returned.  Zero matches will return a response code of 200 with an empty `results` array.\n\n`parent_list_ids` | `no_parent_list_id` | `ids` | `result`\n-----------------:|:--------------------:|:-------------:|:-------------:\nempty | false | empty | all segments values\nlist_ids | false | empty | segments filtered by list_ids values\nlist_ids |true | empty | segments filtered by list_ids and segments with no parent list_ids empty\nempty | true | empty | segments with no parent list_ids\nanything | anything | ids | segments with matching segment ids |","properties":{"query":{"type":"object","properties":{"ids":{"type":"array","items":{"type":"string"},"description":"A list of segment IDs to retrieve. When this parameter is included, the `no_parent_list_ids` and `parent_list_ids` parameters are ignored and only segments with given IDs are returned."},"parent_list_ids":{"type":"string","description":"A comma separated list of list ids to be used when searching for segments with the specified parent_list_id, no more than 50 is allowed"},"no_parent_list_id":{"type":"boolean","default":false,"description":"If set to `true` segments with an empty value of `parent_list_id` will be returned in the filter.  If the value is not present it defaults to 'false'."}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false},"name":"Get List of Segments","id":"sendgrid.mc_segments.listsegment","example":{},"maxRequests":1,"summary":false}}